FOREIGN_PGM_READ(3)

FUNCTION
foreign_pgm_read - Read a colour image in PGM format from a channel.

SYNOPSIS
#include <karma_foreign.h>

multi_array * foreign_pgm_read

(Channel channel, ...)

DESCRIPTION
Read a colour image in PGM format from a channel.

channel
    The channel to read from.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. This list must be terminated with FA_PGM_READ_END. See <-foreign_ATT_PGM_READ-> for a list of defined attributes.

RETURN VALUE
A pointer to the multi_array data structure on success, else NULL

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/